diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 37a6736..35b3772 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -69564,7 +69564,7 @@ Partition: Exports == Implementation where
     coerce (s:%) == s pretend List Integer
     convert x == copy(x pretend L I)
  
-    partition list == sort(#2 < #1,list)
+    partition list == sort((i1:Integer,i2:Integer):Boolean +-> i2 < i1,list)
  
     x < y ==
       empty? x => not empty? y
@@ -71886,12 +71886,14 @@ Pi(): Exports == Implementation where
       p2i(numer x) / p2i(denom x)
 
     p2sf p ==
-      map(#1::DoubleFloat, p)$SparseUnivariatePolynomialFunctions2(
-        Integer, DoubleFloat) (pi()$DoubleFloat)
+      map((x:Integer):DoubleFloat+->x::DoubleFloat, p)_
+       $SparseUnivariatePolynomialFunctions2(Integer, DoubleFloat)
+        (pi()$DoubleFloat)
 
     p2f p ==
-      map(#1::Float, p)$SparseUnivariatePolynomialFunctions2(
-        Integer, Float) (pi()$Float)
+      map((x:Integer):Float+->x::Float,p)_
+       $SparseUnivariatePolynomialFunctions2(Integer, Float)
+         (pi()$Float)
 
 @
 <<HACKPI.dotabb>>=
diff --git a/changelog b/changelog
index a1e9f50..83e83ce 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20090514 tpd src/axiom-website/patches.html 20090515.01.tpd.patch
+20090515 tpd books/bookvol10.3 HACKPI +-> conversion
+20090515 tpd books/bookvol10.3 PRTITION +-> conversion
 20090514 tpd src/axiom-website/patches.html 20090514.08.tpd.patch
 20090514 tpd books/bookvol10.4 LODEEF +-> conversion
 20090514 tpd src/axiom-website/patches.html 20090514.07.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9815627..4f14d40 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1304,5 +1304,7 @@ bookvol10.3 NSMP +-> conversion<br/>
 bookvol10.4 D01WGTS +-> conversion<br/>
 <a href="patches/20090514.08.tpd.patch">20090514.08.tpd.patch</a>
 bookvol10.4 LODEEF +-> conversion<br/>
+<a href="patches/20090515.01.tpd.patch">20090515.01.tpd.patch</a>
+bookvol10.3 HACKPI, PRTITION +-> conversion<br/>
  </body>
 </html>
